Samsung J4 root problem

surbiks

Member
Apr 11, 2015
42
24
28
Install TWRP and Root J400f (Galaxy J4)

before start this process backup from your data. all feature about this phone you can see in gsmarena.

1 - Download last version of TWRP from github
2 - enable oem unlock from developer options.
3 - reboot device to Download mode (for download mode you must completely turn off phone and hold Vol Down + Home and connect USB cable)
you can use adb for download mode when phone is on : adb reboot download
4 - flash twrp with odin in windows or heimdall in linux with no reboot option
5- after flash is success remove battery and power on phone with (Vol Up + HOME + Power), phone boot to twrp
6 - in twrp if your pc not recognize adb or mtp , pulg&play usb cable several time .
7- use last Magisk installer from here
8-copy zip installer to sdcard and install it from sdcard ( use magisk option for keep dm-verity or force encryption)
9- after install success reboot phone to system , you can see magisk manager .
10 - if you not see magisk manager repeat step 6 , 7 , 8 , 9

if you not have info about install magisk and options please read magisk tutorials.
 

surbiks

Member
Apr 11, 2015
42
24
28
this is the error i got when i try to flash stock rom
if you see red line , you want flash older stock ROM, you need to download latest version , because new bootloder not allow to downgrade , if you see in download mode B:2 K:1 S:1, its means is you can flash ROM with bootloader version >= 2 , boot version >= 1 and system version >= 1 i have same problem in A5 2017.
you must download last version of ROM from here. this problem solve if you use new versions.

for other problem your RMM state is prenormal , you must wait 7 day (168 h+) without any reboot or change ROM.
 
  • Like
Reactions: brownstyle

brownstyle

Senior Member
Dec 12, 2015
113
3
0
if you see red line , you want flash older stock ROM, you need to download latest version , because new bootloder not allow to downgrade , if you see in download mode B:2 K:1 S:1, its means is you can flash ROM with bootloader version >= 2 , boot version >= 1 and system version >= 1 i have same problem in A5 2017.
you must download last version of ROM from here. this problem solve if you use new versions.

for other problem your RMM state is prenormal , you must wait 7 day (168 h+) without any reboot or change ROM.
thank u for ur patience...ill try again